aboutsummaryrefslogtreecommitdiffstats
path: root/chapter6
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-15 08:32:23 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-15 08:39:39 -0500
commit8b5530be21a8e28e3e2c1b9917ca3645fbd13398 (patch)
tree8f8eee3c3e94dfdf60c025fd1fd2308738ef7341 /chapter6
parent801a63d7edbb098fdf4fa384366ba91e39845c07 (diff)
Create fail and success functions and remove trailing white spaces at ends of lines.
Diffstat (limited to 'chapter6')
-rw-r--r--chapter6/backup.sh4
-rw-r--r--chapter6/cleanup.sh6
2 files changed, 5 insertions, 5 deletions
diff --git a/chapter6/backup.sh b/chapter6/backup.sh
index 837c44c..f9a761c 100644
--- a/chapter6/backup.sh
+++ b/chapter6/backup.sh
@@ -15,12 +15,12 @@ else
spinner "$pid" "${SPINNER}"
retval=$?
if [ "$retval" -ne 0 ]; then
- printf "%b" "${IRED}FAILED!${RST}\n"
+ fail "FAILED!"
exit "${retval}"
else
# shellcheck disable=SC2024
sudo chown -v "${USER}":"$(id -g)" "${HOME}"/"${file}" >>"${LFS}"/sources/log/chapter6/backup.log
- printf "%b" "${IGRN}OK${RST}\n"
+ success "OK"
fi
popd > /dev/null || exit 1
diff --git a/chapter6/cleanup.sh b/chapter6/cleanup.sh
index 748c0cc..2266d06 100644
--- a/chapter6/cleanup.sh
+++ b/chapter6/cleanup.sh
@@ -8,7 +8,7 @@ else
printf "%b" "${GRN}Cleaning up ${YLW}${LFS}${RST}... "
{
- find "${LFS}"/usr/lib -name \*.la -delete
+ find "${LFS}"/usr/lib -name \*.la -delete
find "${LFS}"/usr/libexec -name \*.la -delete
rm -rfv "${LFS}"/usr/share/doc
@@ -22,6 +22,6 @@ else
} >"${LFS}"/sources/log/chapter6/cleanup.log 2>&1
- printf "%b" "${IGRN}OK${RST}\n"
- touch "${LFS}"/sources/chapter6/cleanup
+ success "OK"
+ touch "${LFS}"/sources/chapter6/cleanup
fi